#!/bin/bash
PREFIX=restsdkgpl

docker build --force-rm -t ${PREFIX}-toolchains ./docker/toolchains && \
docker build --force-rm -t ${PREFIX}-setup-deps ./deps/setup && \
docker build --force-rm -t ${PREFIX}-libvips ./deps/libvips && \
docker build --force-rm -t ${PREFIX}-ffmpeg ./deps/ffmpeg && \
docker build --force-rm -t ${PREFIX}-libraw ./deps/libraw && \
docker build --force-rm -t ${PREFIX}-sqlite3 ./deps/sqlite3 && \
docker build --force-rm -t ${PREFIX}-libspatialite ./deps/libspatialite && \
docker build --force-rm -t ${PREFIX}-poppler ./deps/poppler && \
docker build --force-rm -t ${PREFIX}-tensorflow ./deps/tensorflow && \
docker build --force-rm -t ${PREFIX}-miscellaneous ./deps/miscellaneous && \
docker build --force-rm -t gpl-build ./docker && \


if [ $? -ne 0 ]; then
    echo BUILD_FAILED
    exit 1
fi

ID=$(docker create gpl-build)

docker start -a $ID

EXIT_CODE=$?

rm -rf ./downloads && docker cp $ID:/downloads ./downloads

docker rm -f -v $ID

if [ $EXIT_CODE -ne 0 ]; then
	echo BUILD_FAILED
	exit 1
fi

echo BUILD_SUCCESS
